Skip to main content
GET
List Promotion Stacks

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
name,
-name
created_at
object

A filter on the list based on the object created_at field. The value is a dictionary with the following options: before, after. A date value must be presented in ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16). An example: [created_at][before]=2017-09-08T13:52:18.227Z

updated_at
object

A filter on the list based on the object updated_at field. The value is a dictionary with the following options: before, after. A date value must be presented in ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16). An example: [updated_at][before]=2017-09-08T13:52:18.227Z

Response

200 - application/json

Returns a dictionary with a data property that contains an array of promotion stacks across all your campaigns.

Response body schema for GET v1/promotions/stacks and for GET v1/promotions/{campaignId}/stacks.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about promotion stacks in a dictionary.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the attribute that contains the array of promotion stack objects.

Available options:
data
data
Promotion Stack Base · object[]
required

Contains array of promotion stack objects.

total
integer
required

Total number of promotion stacks.

Required range: x >= 0
Last modified on June 8, 2026